/*
 * Copyright 2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_ACCEL_H_
#define INC_ACCEL_H_

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

extern void Accel_init(void);
extern void Accel_setSensitivity(int s);
extern bool Accel_getTemperature(int16_t *out);
extern bool Accel_isActive(void);

/* ACCEL_INT2 is LOW on activity, HIGH on inactivity
 * Note that when the sensitivity is set to 0 (off), the
 * activity pin will always be low.
 */
#define ACCEL_ACTIVITY_PIN  ACCEL_INT2

#if defined(__cplusplus)
}
#endif

#endif /* INC_ACCEL_H_ */
